#!/bin/sh
# This script should be executed as root before the tests run

# Get the directory where this script resides.
WORK_DIR=$(cd `dirname $0` && pwd) 
T2C_SUITE_ROOT=${WORK_DIR}

cd ${T2C_SUITE_ROOT}

#install a custom locale
echo
echo -n "Installing \"en_POSIX_test_dec\" locale. You may need root privileges to do this."
echo
localedef -c -f UTF-8 -i ${T2C_SUITE_ROOT}/locale/POSIX_test_dec.ldf en_POSIX_test_dec 

if [ $? -gt 1 ] ; then
    echo -n "Unable to install \"en_POSIX_test_dec\" locale. "
    echo "localedef exit code is $?."
fi

#install custom image loader (for gdk-pixbuf tests)
echo
echo "Installing custom image loader. You may need root privileges to do this."

# uninstall first...
${T2C_SUITE_ROOT}/gdk-pixbuf-t2c/testdata/ModuleInterface_external/install_loader.sh -u
# ...then reinstall
${T2C_SUITE_ROOT}/gdk-pixbuf-t2c/testdata/ModuleInterface_external/install_loader.sh

if [ $? -ne 0 ] ; then
    echo -n "Unable to install custom image loader. "
fi